"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const simplecrawler_1 = __importDefault(require("simplecrawler"));
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const siteUrl = process.argv[2];
const crawler = new simplecrawler_1.default(siteUrl);
crawler.respectRobotsTxt = true;
const dir = path_1.default.join(process.cwd(), 'data', `${Date.now()}`);
fs_1.default.mkdirSync(dir, { recursive: true });
const file = `${dir}/urls.csv`;
fs_1.default.writeFileSync(file, 'URL,content_type,bytes,response\n', {
    encoding: 'utf-8',
});
console.log('Created CSV file');
const stream = fs_1.default.createWriteStream(file, { flags: 'a' });
const makeUrlRow = (queueItem, responseBuffer, response) => {
    return `"${queueItem.url}",${response.headers['content-type']},${responseBuffer.length},${response.statusCode}\n`;
};
// Set up the crawler
crawler.on('fetchcomplete', function (queueItem, responseBuffer, response) {
    console.log('Fetched %s [%s] (%d bytes)', queueItem.url, response.headers['content-type'], responseBuffer.length);
    stream.write(makeUrlRow(queueItem, responseBuffer, response));
});
crawler.on('complete', function () {
    console.log('Crawling complete');
});
crawler.on('fetcherror', logError);
crawler.on('fetch404', logError);
crawler.on('fetch410', logError);
function logError(queueItem, response) {
    console.log(`Error fetching (${response.statusCode}): ${queueItem.url}`);
}
console.log('Starting the crawl...');
crawler.start();
